diff --git a/Make.bat b/Make.bat
index 11b6f6d82..884778981 100644
--- a/Make.bat
+++ b/Make.bat
@@ -265,6 +265,12 @@ REM Main build sequence Ends
     ECHO Staging pgAdmin4.exe...
     COPY "%WD%\runtime\release\pgAdmin4.exe" "%PGBUILDPATH%\runtime" > nul || EXIT /B 1
 
+    ECHO Staging dark and light theme components...
+    COPY "%WD%\runtime\dark.qss" "%PGBUILDPATH%\runtime" > nul || EXIT /B 1
+    COPY "%WD%\runtime\light.qss" "%PGBUILDPATH%\runtime" > nul || EXIT /B 1
+    XCOPY /S /I /E /H /Y "%WD%\runtime\dark" "%PGBUILDPATH%\runtime\dark" > nul || EXIT /B 1
+    XCOPY /S /I /E /H /Y "%WD%\runtime\light" "%PGBUILDPATH%\runtime\light" > nul || EXIT /B 1
+
     ECHO Staging Qt components...
     COPY "%QTDIR%\bin\Qt5Core.dll"   "%PGBUILDPATH%\runtime" > nul || EXIT /B 1
     COPY "%QTDIR%\bin\Qt5Gui.dll"    "%PGBUILDPATH%\runtime" > nul || EXIT /B 1
diff --git a/pkg/mac/build.sh b/pkg/mac/build.sh
index c8b443b70..0f40c255a 100755
--- a/pkg/mac/build.sh
+++ b/pkg/mac/build.sh
@@ -78,6 +78,7 @@ _get_version() {
 _cleanup() {
     echo "Cleaning up the old environment and app bundle"
     rm -rf ${SOURCEDIR}/runtime/pgAdmin4.app
+    rm -rf ${SOURCEDIR}/runtime/dark ${SOURCEDIR}/runtime/light ${SOURCEDIR}/runtime/light.qss ${SOURCEDIR}/runtime/dark.qss
     rm -rf ${BUILDROOT}
     rm -f ${DISTROOT}/pgadmin4*.dmg
 }
@@ -153,6 +154,7 @@ _build_runtime() {
     ${QMAKE} || { echo qmake failed; exit 1; }
     make || { echo make failed; exit 1; }
     cp -r pgAdmin4.app "${BUILDROOT}/${APP_BUNDLE_NAME}"
+    cp -r dark light dark.qss light.qss "${BUILDROOT}/"
 }
 
 _build_doc() {
diff --git a/pkg/win32/installer.iss.in b/pkg/win32/installer.iss.in
index 7deb925f3..560f00601 100644
--- a/pkg/win32/installer.iss.in
+++ b/pkg/win32/installer.iss.in
@@ -294,6 +294,8 @@ begin
       begin
         DelWebfolder(ExpandConstant('{app}\web'));
         DelFolder(ExpandConstant('{app}\venv'));
+        DelFolder(ExpandConstant('{app}\runtime\dark'));
+        DelFolder(ExpandConstant('{app}\runtime\light'));
       end;
 	end;
   end;
